/* const Color appBackgroundColor = Color(0xFF303030);
const Color sectionColor = Color(0xFF454545);
const Color cellYellow = Color(0xFFF4FA58);
const Color dividerGrey = Color(0xFF5A5A5A);
const Color white = Color(0xFFFFFFFF);
const Color themeColor = Color(0xffFE9A2E); */

html {
    background-color: #303030;
}

/* Navigation spreading across the screen */
nav { 
    background-color: #454545;
    display: flex; 
    justify-content: space-evenly; 
    width: 100%;
    border-top: 1px solid #444;
    border-bottom: 1px solid #444;
    padding-top: 15px;
    padding-bottom: 15px;
}

nav a { 
    font-family: Arial, sans-serif;
    text-decoration: none; 
    color: #bbb; 
    font-weight: bold;
    padding: 10px 20px;
    transition: 0.3s;
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

nav a:hover {
    color: #FF5722;
}

main { padding: 20px; text-align: center; }

h1 {
    margin: 0 0 20px 0;
    letter-spacing: 2px;
    font-family: Arial, sans-serif;
    font-size: 1.8em;
    font-weight: bold;
    color: #fff;
}

h1 select {
    font-family: inherit;
    font-size: 0.9em;
    font-weight: inherit;
    font-family: Arial, sans-serif;
    color: #fff;

    border: none;
    background: #303030;

    padding-right: 28px;
    margin: 0;

    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    text-decoration: underline; 
    cursor: pointer;

    background-image: url("data:image/svg+xml;utf8,<svg fill='white' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/></svg>");
    background-repeat: no-repeat;
    background-position: right center;
    background-size: 26px;
}

h1 select:hover {
    text-decoration: underline;
}

select:focus {
    outline: none;
    border-color: #999;
}

h2 {
    font-family: Arial, sans-serif;
    font-size: 1.2em;
    font-weight: normal;
    color: #b2ebf2;
}

.page-title {
    display: flex;
    align-items: center;  
    gap: 10px;
    margin: 0;
    line-height: 1;       
}

.page-title img {
    height: 70px;
    display: block;    
    padding: 10px;   
}

.page-title span {
    display: flex;
    align-items: center;   
}

@media (max-width: 600px) {
    .page-title {
        font-size: 20px; 
    }
    .page-title img {
        height: 50px;
    }
}

.page-heading {
    font-size: 20px; 
}

.drivers-table {         
    margin: 0 auto;
    border-collapse: collapse;
    font-family: Arial, sans-serif;
    -webkit-tap-highlight-color: transparent;
    user-select: none;
}

@media (max-width: 600px) {
    .drivers-table {
        width: 100%;
        margin: 0;
    }
}

@media (max-width: 600px) {
    body {
        padding: 0px;
    }
}

.drivers-table tr {
    transition: background 0.2s ease, transform 0.1s ease;
    cursor: pointer;
    border-bottom: 1px solid #eee;
    color: #fff;
}

.drivers-table .driver-name {
    color: #F4FA58;
    font-weight: bold;
}

.drivers-table .driver-number {
    color: #fff;
    font-weight: bold;
}

.drivers-table .driver-lives {
    color: #fff;
    font-weight: normal;
}

.drivers-table .name-lives-mobile {
    color: #fff;
    font-weight: normal;
}

.drivers-table tr:hover {
    background: #454545;
}

.drivers-table tr:active {
    background: #dbeaff;
    transform: scale(0.99);
}

.drivers-table th,
.drivers-table td {
    border: 1px solid #454545;
    padding: 10px 12px;
    text-align: left;
}

.name-lives-mobile {
    display: none;
}

@media (max-width: 600px) {

    .driver-number {
        font-size: 1.4em;
        width: 1%;
        white-space: nowrap;
        padding-right: 4px;
    }

    .driver-name {
        font-size: 1.1em;
        padding-left: 4px;
    }


    .driver-lives {
        display: none;
    }

    .name-lives-mobile {
        display: block;
        font-size: 0.9em;
        opacity: 0.8;
        margin-top: 2px;
    }
}

.number-block {
    padding: 8px 0;
    border-bottom: 10px;
}

.number {
    font-weight: bold;
    font-size: 20px;
    color: #FF5722;
    font-family: Arial, sans-serif;
    margin-bottom: 6px;
}

.years {
    color: #000;
    font-size: 16px;
    font-family: Arial, sans-serif;
}

.no-results {
    font-family: Arial, sans-serif;
    color: #b2ebf2;
    font-size: 18px;
}

.driver-from {
    font-family: Arial, sans-serif;
    color: #666;
    font-size: 14px;
    margin-bottom: 30px;
}

#search {
    margin-bottom: 40px;
    padding: 10px 15px;
    font-size: 16px;
    width: 100px;
    border: 1px solid #ccc;
    border-radius: 6px;
    outline: none;
}

#search:focus {
    border-color: #999;
}

#search:focus::placeholder {
    color: transparent;
}

.panel {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0,0,0,0.6);

    display: flex;
    align-items: flex-start;
    justify-content: center;
    padding-top: 10%;

    opacity: 0;
    visibility: hidden;
    transition: opacity 0.25s ease;
}

.panel.show {
    opacity: 1;
    visibility: visible;
}

.panel-content {
    background: #fff;
    padding: 10px 25px 20px 25px;
    margin: 10% auto;
    width: fit-content;
    max-width: 90%;
    border-radius: 8px;
}

.panel-content h3 {
    white-space: nowrap;
    font-family: sans-serif;
    font-size: 20px;
}

.panel-content p {
    white-space: nowrap;
    font-family: sans-serif;
    font-size: 16px;
}

.close {
    float: right;
    font-size: 24px;
    cursor: pointer;
    line-height: 1;
}
